### Function

# EDataServer SourceRegistry free_display_tree

since: 3.6

#### Declaration [src]

    void
    e_source_registry_free_display_tree (
      GNode* display_tree
    )

#### Description [src]

Convenience function to free a `GNode` tree of registered sources created by e_source_registry_build_display_tree().

Available since: 3.6

#### Parameters

`display_tree`

  Type: `GNode`

  A tree of sources, arranged for display.

  The data is owned by the caller of the function.